org.eclipse.mat.ui.snapshot.panes

## Class OverviewPane

- java.lang.Object
- - org.eclipse.mat.ui.editor.AbstractEditorPane
  - - org.eclipse.mat.ui.snapshot.editor.HeapEditorPane
    - - org.eclipse.mat.ui.snapshot.panes.OverviewPane

    public class OverviewPane
    extends HeapEditorPane

### Constructor Summary

Constructors
Constructor and Description
`OverviewPane()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSelectionChangedListener(ISelectionChangedListener listener)`
`void` `createPartControl(Composite parent)`
`void` `dispose()`
`ISelection` `getSelection()`
`String` `getTitle()`
`Image` `getTitleImage()`
`void` `linkActivated(HyperlinkEvent e)`
`void` `linkEntered(HyperlinkEvent e)`
`void` `linkExited(HyperlinkEvent e)`
`void` `removeSelectionChangedListener(ISelectionChangedListener listener)`
`void` `setFocus()`
`void` `setSelection(ISelection selection)`

### Methods inherited from class org.eclipse.mat.ui.snapshot.editor.HeapEditorPane

`getSnapshotInput, init`

### Methods inherited from class org.eclipse.mat.ui.editor.AbstractEditorPane

`addPropertyListener, contributeToToolBar, doSave, doSaveAs, getAdapter, getEditor, getEditorInput, getEditorSite, getPaneId, getPaneState, getParentPane, getQueryContext, getSite, getTitleToolTip, initWithArgument, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded, removePropertyListener, setPaneState`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OverviewPane

    public OverviewPane()

### Method Detail

#### createPartControl

    public void createPartControl(Composite parent)

#### linkActivated

    public void linkActivated(HyperlinkEvent e)

#### linkEntered

    public void linkEntered(HyperlinkEvent e)

#### linkExited

    public void linkExited(HyperlinkEvent e)

#### getTitle

    public String getTitle()

#### getTitleImage

    public Image getTitleImage()

Overrides:
  `getTitleImage` in class `AbstractEditorPane`

#### setFocus

    public void setFocus()

Overrides:
  `setFocus` in class `AbstractEditorPane`

#### addSelectionChangedListener

    public void addSelectionChangedListener(ISelectionChangedListener listener)

#### removeSelectionChangedListener

    public void removeSelectionChangedListener(ISelectionChangedListener listener)

#### getSelection

    public ISelection getSelection()

#### setSelection

    public void setSelection(ISelection selection)

#### dispose

    public void dispose()

Overrides:
  `dispose` in class `AbstractEditorPane`